## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyFieldDoc

Field Summary
`GroovyType` | `type`

Constructor Summary
`SimpleGroovyFieldDoc(String name)`

Method Summary
`Object` | `constantValue()`
`String` | `constantValueExpression()`
`boolean` | `isTransient()`
`boolean` | `isVolatile()`
`void` | `setType(SimpleGroovyType type)`
`GroovyType` | `type()`

Constructor Detail

### SimpleGroovyFieldDoc

    public SimpleGroovyFieldDoc(String name)

Method Detail

### constantValue

    public Object constantValue()

### constantValueExpression

    public String constantValueExpression()

### isTransient

    public boolean isTransient()

### isVolatile

    public boolean isVolatile()

### setType

    public void setType(SimpleGroovyType type)

### type

    public GroovyType type()